#include "mbed.h"
#include "Mlx90615.h"


DigitalOut MLX_VCC(p26,1); 
DigitalInOut c(p30);                // Clock override pin
Serial pc(USBTX, USBRX);

float temp;

int main(){
    Mlx90615 mlx90615;
    
    pc.printf("Hello World!\n");
    while(true){
      temp=mlx90615.read_temperature();
      pc.printf("%4.2f Celcius\r\n", temp);
      ThisThread::sleep_for(1);
    }
}