#define WRITE 0
#define READ 1

#define LITTLE_ENDIAN 0
#define BIG_ENDIAN 1

#include "mbed.h"

extern I2C i2c;

void smbus_start();
void smbus_stop();
unsigned char smbus_send_byte(unsigned char byte);
unsigned char smbus_send_address(unsigned char address, unsigned char rw);
unsigned char smbus_read_byte(unsigned char *status);
unsigned int smbus_read_uint(unsigned char *status, unsigned char read_mode);
unsigned char smbus_write_uint(unsigned char read_mode, unsigned int value);

